web/main/routes/home.py
from flask import Blueprint, render_template
from flask_login import login_required

home = Blueprint('home', __name__, url_prefix='/')


@home.route('/')
@home.route('/home')
@login_required
def index():
    return render_template('home.html')

web/main/routes/login.py
import ast
import json

import requests
from flask import Blueprint, render_template, make_response, url_for
from flask import current_app, flash
from flask_login import login_required, logout_user
from flask_login import login_user
from main.forms.login import Login
from main.resources.auth import LoggedUser
from main.routes.seisms_verified import get_verified_seisms
from werkzeug.utils import redirect

login = Blueprint('login', __name__, url_prefix='/')


@login.route('/', methods=['POST', 'GET'])
def index():
    form_login = Login()
    if form_login.validate_on_submit():
        url = str(current_app.config['API_URL']) + str('/auth/login')

        data = '{"email":"' + form_login.email.data + \
               '", "password":"' + form_login.password.data + '"}'

        r = requests.post(url=url, headers={'content-type': 'application/json'}, data=data)

        if r.status_code == 200:
            user_json = json.loads(r.text)
            logged_user = LoggedUser(
                id=user_json['id'],
                admin=user_json['admin']
            )
            login_user(logged_user)
            if ast.literal_eval(user_json['admin']) == True:
                req = make_response(redirect(url_for('home.index')))
                req.set_cookie('access_token', user_json['access_token'], httponly=True)
                return req
            else:
                req = make_response(redirect(url_for('home.index')))
                req.set_cookie('access_token', user_json['access_token'], httponly=True)
                return req
        else:
            flash("Credenciales desconocidas. Por favor intente nuevamente.", 'danger')
        return redirect(url_for('login.index'))
    seisms_verified, form, pagination, request = None, None, None, None
    try:
        seisms_verified, form, pagination, request = get_verified_seisms()
    except:
        return get_verified_seisms()
    web = current_app.config['WEB_URL']

    return render_template('login.html',
                           form_login=form_login,
                           seisms_verified=seisms_verified,
                           form=form,
                           pagination=pagination,
                           request=request,
                           web=web)

@login.route('/logout')
@login_required
def logout():
    req = make_response(redirect(url_for('login.index')))
    req.set_cookie('access_token', '', httponly=True)
    logout_user()
    return req

web/main/routes/seisms_no_verified.py
import datetime
import json
import requests
from flask import Blueprint, render_template, redirect, url_for, current_app, request
from flask import flash
from flask_login import login_required
from main.forms.Seisms import Seism
modify_seism = Blueprint('modify_seism', __name__, url_prefix='/')
from main.forms.Seisms import UnverifiedSeismsSearch


seisms_no_verified = Blueprint('seisms_no_verified', __name__, url_prefix='/')


@seisms_no_verified.route('/sismos-no-verificados', methods=["POST", "GET"])
@login_required
def index():
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }

    form = UnverifiedSeismsSearch(request.args, meta={'csrf': False})

    query = requests.get(current_app.config['API_URL'] + "/sensors", headers=headers, json={})
    sensors = json.loads(query.text)["sensors"]

    form.seismId.choices = [(int(sensor['sensorId']), sensor['name']) for sensor in sensors]
    form.seismId.choices.insert(0, [-1, "Seleccione"])

    data = {}

    if 'seismId' in request.args and request.args.get('seismId', '') != '-1' and request.args.get('seismId', '') != '':
        data["sensorId"] = request.args.get('seismId', '')

    if "from_date" in request.args and request.args["from_date"] != "":
        date = datetime.datetime.strptime(request.args.get("from_date", ""), "%Y-%m-%d %H:%M:%S")
        data["from_date"] = datetime.datetime.strftime(date, "%Y-%m-%d %H:%M:%S")

    if "to_date" in request.args and request.args["to_date"] != "":
        date = datetime.datetime.strptime(request.args.get("to_date", ""), "%Y-%m-%d %H:%M:%S")
        data["to_date"] = datetime.datetime.strftime(date, "%Y-%m-%d %H:%M:%S")

    if 'order_by' in request.args and request.args['order_by'] != "":
        data["order_by"] = request.args.get('order_by', '')

    if 'page' in request.args and request.args['page'] != "" and request.args['page'] != "0":
        data["page"] = request.args.get('page', '')

    query = requests.get(current_app.config['API_URL'] + "/unverified-seisms", headers=headers, json=data)

    if query.status_code == 200:

        seisms_no_verified = json.loads(query.text)['unverified-seisms']

        pagination = {"total_items": json.loads(query.text)["total_items"],
                      "total_pages": json.loads(query.text)["total_pages"],
                      "page": json.loads(query.text)["page"]}

        return render_template('sismos-no-verificados.html',
                               seisms_no_verified=seisms_no_verified,
                               form=form,
                               pagination=pagination,
                               request=request)

    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@seisms_no_verified.route('/sismos-no-verificados/<int:id>', methods=["POST", "GET"])
@login_required
def view(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.get(current_app.config['API_URL'] + "/unverified-seism/" + str(id), headers=headers)
    if r.status_code == 200:
        seism_no_verified = json.loads(r.text)
        return render_template('ver-sismo-no-verificado.html', seism_no_verified=seism_no_verified,
                               url="http://127.0.0.1:5000")
    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@seisms_no_verified.route('/modificar-sismo/<int:id>', methods=['POST', 'GET'])
@login_required
def modify_seism(id):
    form = Seism()
    if form.validate_on_submit():
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        data = {
            "depth": form.depth.data,
            "magnitude": form.magnitude.data,
            "verified": form.verified.data
        }

        r = requests.put(current_app.config['API_URL'] + "/unverified-seism/" + str(id), headers=headers, json=data)
        if r.status_code == 201:
            return redirect(url_for('seisms_no_verified.index'))
        else:
            print("Error")
    else:
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        r = requests.get(current_app.config['API_URL'] + "/unverified-seism/" + str(id), headers=headers)
        seism_no_verified = json.loads(r.text)
        form.depth.data = seism_no_verified["depth"]
        form.magnitude.data = seism_no_verified["magnitude"]
        form.verified.data = seism_no_verified["verified"]

    return render_template('modificar-sismo.html', form=form, url=current_app.config['API_URL'], id=id)

web/main/routes/sensors.py
import json
import requests
from flask import Blueprint, render_template, request, url_for, current_app
from flask import flash
from flask_login import login_required
from main import admin_required
from main.forms.Sensors import CreateSensor
from main.forms.Sensors import SensorFilter
from werkzeug.utils import redirect

modify_sensor = Blueprint('modify_sensor', __name__, url_prefix='/')

sensors = Blueprint('sensors', __name__, url_prefix='/')


@sensors.route('/sensores')
@login_required
def index():
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }

    form = SensorFilter(request.args, meta={'csrf': False})

    data = {}

    if 'name' in request.args and request.args['name'] != "":
        data["name"] = request.args.get('name', '')

    if 'status' in request.args and request.args['status'] != "":
        data["status"] = request.args.get('status', '')

    if 'active' in request.args and request.args['active'] != "":
        data["active"] = request.args.get('active', '')

    if 'user_email' in request.args and request.args['user_email'] != "":
        data["user_email"] = request.args.get('user_email', '')

    if 'order_by' in request.args and request.args['order_by'] != "":
        data["order_by"] = request.args.get('order_by', '')

    if 'page' in request.args and request.args['page'] != "" and request.args['page'] != "0":
        data["page"] = request.args.get('page', '')

    query = requests.get(current_app.config['API_URL'] + "/sensors", headers=headers, json=data)

    if query.status_code == 200:

        sensors = json.loads(query.text)['sensors']

        pagination = {"total_items": json.loads(query.text)["total_items"],
                      "total_pages": json.loads(query.text)["total_pages"],
                      "page": json.loads(query.text)["page"]}

        return render_template('sensores.html',
                               sensors=sensors,
                               form=form,
                               pagination=pagination,
                               request=request)

    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@sensors.route('/sensor/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def view(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.get(current_app.config['API_URL'] + "/sensor/" + str(id), headers=headers)
    sensor = json.loads(r.text)
    return render_template('ver-sensor.html', sensor=sensor, link="http://127.0.0.1:5000" + "/")


@sensors.route('/sensor/delete/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def delete(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.delete(current_app.config['API_URL'] + "/sensor/" + str(id), headers=headers)
    if r.status_code == 204:
        return redirect(url_for("sensors.index"))
    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@sensors.route('/agregar-sensor', methods=['POST', 'GET'])
@login_required
@admin_required
def add_sensor():
    form = CreateSensor()
    if form.validate_on_submit():
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        data = {
            "name": form.name.data,
            "ip": form.ip.data,
            "port": form.port.data,
            "status": form.status.data,
            "active": form.active.data,
            "userId": form.user_id.data
        }
        r = requests.post(current_app.config['API_URL'] + "/sensors", headers=headers, json=data)
        if r.status_code == 201:
            return redirect(url_for('sensors.index'))
        else:
            return redirect(url_for('home.index'))
    return render_template('agregar-sensor.html', form=form)


@sensors.route('/modificar-sensor/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def modify_sensor(id):
    form = CreateSensor()

    if form.validate_on_submit():
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        data = {
            "name": form.name.data,
            "ip": form.ip.data,
            "port": form.port.data,
            "status": form.status.data,
            "active": form.active.data,
            "userId": form.user_id.data
        }
        r = requests.put(current_app.config['API_URL'] + "/sensor/" + str(id), headers=headers, json=data)
        if r.status_code == 201:
            return redirect(url_for('sensors.index'))
        else:
            print("Error")
    else:
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        r = requests.get(current_app.config['API_URL'] + "/sensor/" + str(id), headers=headers)
        sensor = json.loads(r.text)
        form.name.data = sensor["name"]
        form.ip.data = sensor["ip"]
        form.port.data = sensor["port"]
        form.status.data = sensor["status"]
        form.active.data = sensor["active"]
        form.user_id.data = sensor["userId"]["userId"]

    return render_template('modificar-sensor.html', form=form, id=id)

web/main/routes/users.py
import json
import requests
from flask import Blueprint, render_template, url_for, flash, request, current_app
from flask_login import login_required
from main import admin_required
from main.forms.Users import CreateUser
from main.forms.Users import EditUser
from werkzeug.utils import redirect

users = Blueprint('users', __name__, url_prefix='/')


@users.route('/usuarios', methods=['POST', 'GET'])
@login_required
@admin_required
def index():
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.get(current_app.config['API_URL'] + "/users", headers=headers)

    if r.status_code == 200:
        users = json.loads(r.text)["users"]
        return render_template('usuarios.html', users=users)
    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@users.route('/user/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def view(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.get(current_app.config['API_URL'] + "/user/" + str(id), headers=headers)
    if r.status_code == 200:
        user = json.loads(r.text)
        return render_template('ver-usuario.html', id=id, user=user, link="http://127.0.0.1:5000" + "/")
    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@users.route('/user/delete/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def delete(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.delete(current_app.config['API_URL'] + "/user/" + str(id), headers=headers)
    if r.status_code == 204:
        return redirect(url_for("users.index"))
    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@users.route('/agregar-usuario', methods=['POST', 'GET'])
@login_required
@admin_required
def add_user():
    form = CreateUser()
    if form.validate_on_submit():
        data = {
            "email": form.email.data,
            "password": form.password.data,
            "admin": form.admin.data
        }
        r = requests.post(current_app.config['API_URL'] + "/auth/register",
                          headers={'content-type': 'application/json'}, json=data)
        if r.status_code == 201:
            return redirect(url_for('users.index'))
        else:
            print("Error")
    return render_template('agregar-usuario.html', form=form)


@users.route('/modificar-usuario/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def modify_user(id):
    form = EditUser()
    if form.validate_on_submit():
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        data = {
            "email": form.email.data,
            "admin": form.admin.data
        }

        r = requests.put(current_app.config['API_URL'] + "/user/" + str(id), headers=headers, data=json.dumps(data))
        if r.status_code == 201:
            return redirect(url_for("users.index"))
        else:
            flash("Error en la consulta", "error")
            return redirect(url_for("home.index"))
    else:
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        r = requests.get(current_app.config['API_URL'] + "/user/" + str(id), headers=headers)
        user = json.loads(r.text)
        form.email.data = user["email"]
        form.admin.data = user["admin"]

    return render_template('modificar-usuario.html', form=form, id=id)

web/main/templates/agregar-sensor.html
<!DOCTYPE html>
<html lang="en">

{% extends 'logged-in-template.html'%}
{% block head %}
    {{ super() }}
{% endblock %}

{% from "form_macros.html" import show_field, show_submit %}

<body>

<div class="d-flex" id="wrapper">


    {% block sidebar %}
      {{ super() }}
    {% endblock %}

    <div id="page-content-wrapper">

        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            {% block nav %}
            <button class="btn btn-primary" id="menu-toggle">Ocultar Menu</button>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            {{ super() }}
            {% endblock %}
        </nav>
        {% block body %}
        <div>
            <p></p>
            <p></p>
        </div>
        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">Agregar Sensor</div>
                        <div class="card-body">
                            <form action="{{ url_for('sensors.add_sensor') }}" method="POST">
                                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
                                <table class="table">
                                    <thead>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Nombre</td>
                                            <td>{{ show_field(form.name) }}</td>
                                        </tr>
                                        <tr>
                                            <td>IP</td>
                                            <td>{{ show_field(form.ip) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Puerto</td>
                                            <td>{{ show_field(form.port) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Estado</td>
                                            <td>{{ show_field(form.status) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Activo</td>
                                            <td>{{ show_field(form.active) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Sismologo asociado (ID)</td>
                                            <td>{{ show_field(form.user_id) }}</td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>{{ show_field(form.submit_button) }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        {% endblock %}
    </div>


</div>

{% block script %}
    {{ super() }}
{% endblock %}

</body>

</html>

web/main/templates/agregar-usuario.html
<!DOCTYPE html>
<html lang="en">

{% extends 'logged-in-template.html'%}
{% block head %}
    {{ super() }}
{% endblock %}

{% from "form_macros.html" import show_field, show_submit %}

<body>

<div class="d-flex" id="wrapper">


    {% block sidebar %}
      {{ super() }}
    {% endblock %}


    <div id="page-content-wrapper">

        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            {% block nav %}
            <button class="btn btn-primary" id="menu-toggle">Ocultar Menu</button>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            {{ super() }}
            {% endblock %}
        </nav>
        {% block body %}
        <div>
            <p></p>
            <p></p>
        </div>
        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">Agregar Usuario</div>
                        <div class="card-body">
                            <form action="{{ url_for('users.add_user') }}" method="POST">
                               <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
                                <table class="table">
                                    <thead>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Email</td>
                                            <td>{{ show_field(form.email) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Contraseña</td>
                                            <td>{{ show_field(form.password) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Repetir contraseña</td>
                                            <td>{{ show_field(form.re_password) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Administrador</td>
                                            <td>{{ show_field(form.admin) }}</td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>{{ show_field(form.submit_button) }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                    </div>
                </div>
            </div>
        </div>
        {% endblock %}
    </div>


</div>


{% block script %}
    {{ super() }}
  {% endblock %}

</body>

</html>

web/main/templates/home.html
<!DOCTYPE html>
<html lang="en">

{% extends 'logged-in-template.html'%}
{% block head %}
    {{ super() }}
{% endblock %}

<body>

  <div class="d-flex" id="wrapper">
    <!-- Sidebar -->
    {% block sidebar %}
      {{ super() }}
    {% endblock %}
    <!-- /#sidebar-wrapper -->

    <!-- Page Content -->
    <div id="page-content-wrapper">

      <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
        {% block nav %}
        <button class="btn btn-primary" id="menu-toggle">Ocultar Menu</button>

        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
          {{ super() }}
        {% endblock %}
      </nav>
      {% block body %}
      <div class="container-fluid">
        <h1 class="mt-4">Seismology</h1>
        <p>Para verificar los simos dirijase a la pestaña "Control" y luego en sismos no verificados</p>
        <p></p>
      </div>
      {% endblock %}
    </div>
    <!-- /#page-content-wrapper -->

  </div>
  <!-- /#wrapper -->

  <!-- Bootstrap core JavaScript -->
  <script src="../static/jquery/jquery.min.js"></script>
  <script src="../static/js/bootstrap.bundle.min.js"></script>

  <!-- Menu Toggle Script -->
  {% block script %}
    {{ super() }}
  {% endblock %}

</body>

</html>

web/main/templates/logged-out-template.html
<!DOCTYPE html>
<html lang="en">

{% block head %}
<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Seismology</title>

    <!-- Bootstrap core CSS -->
    <link href="../static/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="../static/css/simple-sidebar.css" rel="stylesheet">
</head>
{% endblock %}
{% import 'macros.html' as macro %}

{% from "form_macros.html" import show_field, show_submit %}
<body>

    <div class="d-flex" id="wrapper">

        <!-- Page Content -->
        <div id="page-content-wrapper">
            {% block nav %}
            <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <form action="{{ url_for('login.index') }}" method="POST">
                    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                    <table class="">
                        <thead>
                        <th scope="col">{{ show_field(form_login.email) }}</th>
                        <th scope="col">{{ show_field(form_login.password) }}</th>
                        <th scope="col">{{ show_field(form_login.submit_button) }}</th>
                        </thead>
                    </table>
                </form>
                <div>
                <p></p>
                <p></p>
                </div>
                <ul class="navbar-nav ml-auto mt-2 mt-lg-0">
                    <li class="nav-item active">
                        <a class="btn btn-primary" style="margin-left: 30px;" href="http://127.0.0.1:5000">Home<span class="sr-only">(current)</span></a>
                    </li>
                </ul>


            </div>
            </nav>
            {% endblock %}

            {% block body %}
            {% endblock %}
        </div>
        </div>
        <!-- /#page-content-wrapper -->


    </div>
    <!-- /#wrapper -->
    <!-- Bootstrap core JavaScript -->
    {% block script %}
    <script src="../static/jquery/jquery.min.js"></script>
    <script src="../static/js/bootstrap.bundle.min.js"></script>
    {% endblock %}
</body>
</html>

web/main/templates/modificar-sismo.html
<!DOCTYPE html>
<html lang="en">

{% extends 'logged-in-template.html'%}
{% block head %}
    {{ super() }}
{% endblock %}

{% from "form_macros.html" import show_field, show_submit %}

<body>

<div class="d-flex" id="wrapper">


    {% block sidebar %}
      {{ super() }}
    {% endblock %}

    <div id="page-content-wrapper">

        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            {% block nav %}
            <button class="btn btn-primary" id="menu-toggle">Ocultar Menu</button>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

             {{ super() }}
        {% endblock %}
        </nav>
        {% block body %}
        <div>
            <p></p>
            <p></p>
        </div>
        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">Modificar Sismo</div>
                        <div class="card-body">
                            <form action="{{ url_for('seisms_no_verified.modify_seism', id=id) }}" method="POST">
                                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
                                <table class="table">
                                    <thead>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Profundidad</td>
                                            <td>{{ show_field(form.depth) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Magnitud</td>
                                            <td>{{ show_field(form.magnitude) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Verificado</td>
                                            <td>{{ show_field(form.verified) }}</td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>{{ show_field(form.submit_button) }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                    </div>
                </div>
            </div>
        </div>
        {% endblock %}
    </div>


</div>

  {% block script %}
    {{ super() }}
  {% endblock %}

</body>

</html>